module.exports = {
  docs: [
    {
      type: 'category',
      label: 'Tutorial',
      items: ['tutorial/get-started', 'tutorial/faq'],
    },
    {
      type: 'category',
      label: 'Guides',
      collapsed: false,
      items: [
        'guides/adopting-tuist',
        'guides/dependencies',
        'guides/helpers',
        'guides/resources',
        'guides/environment',
        'guides/version-management',
        'guides/shell-autocompletion',
        'guides/stats',
        'guides/third-party-dependencies',
      ],
    },
    {
      type: 'category',
      label: 'Commands',
      items: [
        'commands/edit',
        'commands/generate',
        'commands/focus',
        'commands/signing',
        'commands/task',
        'commands/build',
        'commands/test',
        'commands/scaffold',
        'commands/linting',
        'commands/graph',
        'commands/migration',
        'commands/clean',
        'commands/dependencies',
      ],
    },
    {
      type: 'category',
      label: 'Manifests reference',
      items: [
        'manifests/project',
        'manifests/workspace',
        'manifests/dependencies',
        'manifests/config',
      ],
    },
    {
      type: 'category',
      label: 'Plugins',
      items: ['plugins/using-plugins', 'plugins/creating-plugins'],
    },
    {
      type: 'category',
      label: 'Examples',
      items: [
        'examples/app-extensions',
        'examples/app-clips',
        'examples/command-line-tools',
      ],
    },
    {
      type: 'category',
      label: 'Building at scale',
      items: [
        'building-at-scale/microfeatures',
        'building-at-scale/caching',
        'building-at-scale/best-practices',
      ],
    },
    {
      type: 'category',
      label: 'Cloud',
      items: [
        'cloud/get-started',
        'cloud/specification',
        'cloud/self-hosting',
      ],
    },
    {
      type: 'category',
      label: 'Contributors',
      items: [
        'contributors/get-started',
        'contributors/fourier',
        'contributors/championing-projects',
        'contributors/code-reviews',
        'contributors/reporting-bugs',
        'contributors/architecture',
        'contributors/testing-strategy',
        'contributors/changelog-guidelines',
        'contributors/core-team',
        'contributors/manifesto',
        'contributors/performance-testing',
        'contributors/generation-pipeline',
        'contributors/analytics-events',
      ],
    },
  ],
}
